Acknowledgment status
Módulo Workforce
GET/feed-posts/{id}/acknowledgmentsfeedPosts.acknowledgments
Each member of the audience and when they acknowledged the post, outstanding first. A rule that refuses the request returns 422 with `refusal` and `reason`.
- Requiere la capacidad knowledge.sop.read.
- Alcances de OAuth: knowledge.
- Estados de error: 400, 401, 404, 422, 429. Los errores son detalles de problema RFC 9457.
Parámetros de ruta y de consulta
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| id | string (uuid) | Sí | Identifier of the feed post. |
Respuesta 200: FeedAcknowledgmentStatusPage
| Campo | Tipo | Obligatorio | Descripción |
|---|---|---|---|
| data | array of FeedAcknowledgmentStatus | Sí | Items on this page, in the documented default order. |
| next_cursor | string | null | Sí | Opaque cursor for the next page; null on the last page. |
{
"data": [
{
"membership_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
"person_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
"full_name": "Frank Adeyemi",
"acknowledged_at": "2026-10-08T14:30:00Z"
}
],
"next_cursor": null
}Ejemplos de código
curl -X GET "$XOS_BASE_URL/feed-posts/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f/acknowledgments" \
-H "Authorization: Bearer $XOS_API_KEY"const { data } = await xos.feedPosts.acknowledgments("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");response = xos.feed_posts.acknowledgments("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")xos feed-posts acknowledgments 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f